import React, { useEffect } from 'react'
import { Switch } from 'antd'

const SwitchSelector = (props) => {

  const { value, onChange, schema, addons } = props
  const { disabled, presetValue, showText } = schema
  const text = showText ? showText.split('/') : ['', '']

  useEffect(() => {
    if (addons) {
      addons.setValue(addons.dataPath, presetValue ? '1' : '0')
    } else {
      onChange(presetValue ? '1' : '0')
    }
  }, [presetValue])

  const switchChange = (checked) => {
    if (addons) {
      onChange(checked ? '1' : '0')
    }
  }

  return (
    <Switch
      checked={Boolean(Number(value))}
      disabled={disabled}
      checkedChildren={Array.isArray(text) ? text[0] : ''}
      unCheckedChildren={Array.isArray(text) ? text[1] : ''}
      onChange={switchChange}
    >

    </Switch>
  )

}

export default SwitchSelector